Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 310977 (mattst88) - New Developer: Matt Turner (mattst88)
Summary: New Developer: Matt Turner (mattst88)
Status: RESOLVED FIXED
Alias: mattst88
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: New Developers (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Recruiting Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-23 20:02 UTC by Tobias Klausmann
Modified: 2016-11-02 18:24 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Klausmann gentoo-dev 2010-03-23 20:02:48 UTC
Matt has been helping us tremendously over the last year. Aside from providing bug reports, patches and general knowledge, he's the maintainer of an alpha-specific kernel tree/repo and maintains the alpha-centric bits of Xorg.

Mentors will be armin76 and me. 

His current email address is mattst88@gmail.com
Comment 1 Matt Turner gentoo-dev 2010-03-23 21:02:11 UTC
Sent my ebuild-quiz and ssh key to recruiters@gentoo.org and alpha@gentoo.org.

When we get there, could someone change my current forum account name from |mattst88| to just mattst88? I think I created the current one after I never received a validation email or something. :)

I'm always available on #gentoo-alpha as mattst88.
Comment 2 Petteri Räty (RETIRED) gentoo-dev 2010-04-24 17:57:27 UTC
Due to the recruiting backlog it will take from some weeks to couple months
before we are able to process you. Hopefully this doesn't hurt your
contributions too much in the meanwhile.
Comment 3 Rémi Cardona gentoo-dev 2010-05-11 06:13:14 UTC
Matt has contributed to Xorg and other X packages on alpha, mips, and sparc, mainly via the overlay. He wishes to join the x11 herd and I fully back his recruitment.

Cheers
Comment 4 Joshua Kinard gentoo-dev 2010-07-06 03:05:39 UTC
I'll vouch for Matt joining the MIPS Team, too.  He's got access to Broadcom-based hardware which will be useful for us.
Comment 5 Petteri Räty (RETIRED) gentoo-dev 2010-07-13 19:14:38 UTC
I will be your recruiter. Please send your quizzes to recruiters@gentoo.org when approved by your mentor. Always add a comment to this bug when you send something to that address. When the quizzes are sent please contact me by IRC or email to schedule the first review session. If you think that recruiters aren't paying attention to this bug at any later point in time, it's your job to ping us on IRC if you don't want any delays. 
Comment 6 Petteri Räty (RETIRED) gentoo-dev 2010-07-20 19:19:09 UTC
First review session next Thursday 15UTC.
Comment 7 Petteri Räty (RETIRED) gentoo-dev 2010-07-22 17:07:44 UTC
First review session kept. Next one after end quiz approved by mentor and submitted.
Comment 8 Matt Turner gentoo-dev 2010-08-11 15:40:41 UTC
I'm on vacation this week and Monday is the deadline for my Google Summer of Code project, so I'm not going to have my EOM quiz and revised ebuild quiz submitted by 08/13 in all likelihood. I'll submit them as soon as I can.
Comment 9 Petteri Räty (RETIRED) gentoo-dev 2010-08-12 17:43:53 UTC
(In reply to comment #8)
> I'm on vacation this week and Monday is the deadline for my Google Summer of
> Code project, so I'm not going to have my EOM quiz and revised ebuild quiz
> submitted by 08/13 in all likelihood. I'll submit them as soon as I can.
> 

Extended deadline a couple weeks.
Comment 10 Matt Turner gentoo-dev 2010-09-11 03:56:10 UTC
Going to do my best to get these quizzes wrapped up and submitted this weekend.
Comment 11 Matt Turner gentoo-dev 2010-09-12 16:38:10 UTC
Sent my ebuild-quiz, updated after feedback from Petteri Räty, and my end-quiz to recruiters@gentoo.org and alpha@gentoo.org
Comment 12 Matt Turner gentoo-dev 2010-10-30 00:40:49 UTC
We've had three review sessions now.

I just mailed what I hope will be my final ebuild and end quizzes and the ebuild to recruiters@.
Comment 13 Petteri Räty (RETIRED) gentoo-dev 2010-11-07 19:55:03 UTC
What we did:
- LDAP
- bugzilla
- cvs/svn/git groups on cvs.gentoo.org
- IRC cloak
- sent you your LDAP/mail password via encrypted mail

TODO:
- announcement

Automatic:
- gentoo-core

What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like java@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- ask team leads to add yourself to herds.xml for the herds you want to
  join or do it yourself if you have the permission to do so
- set lat and lon attributes in LDAP if you want others to know where
  exactly you are located
- set gentooIM if you want people to be able to contact you via other
  means than email
- If you want your blog to be syndicated to planet.gentoo.org, check
  http://www.gentoo.org/proj/en/userrel/planet/index.xml
- contact trustees@gentoo.org for Foundation membership (optional)

For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.
Comment 14 Petteri Räty (RETIRED) gentoo-dev 2010-11-07 20:08:13 UTC
(In reply to comment #13)
> 
> TODO:
> - announcement
> 

Sent so should be all done here. Get to work!